Can't get Lexmark Interact s605 printing on Linux Mint 13.

Forum rules
Before you post please read this

Can't get Lexmark Interact s605 printing on Linux Mint 13.

Postby RafeDonson on Wed Aug 29, 2012 4:35 am

I've got a Lexmark Interact S605 which works okay under Windows but not under Linux Mint. I've tried instaling it through a variety of means - including the one where you had to fix a typo in run.lua - but it still won't print. It will scan, so Mint can clearly see it. But when I print, nothing comes out and Cups shows an error of '/usr/local/lexmark/legacy/bin/printfilter failed'.
RafeDonson
Level 1
Level 1
 
Posts: 2
Joined: Wed Aug 29, 2012 3:53 am

Linux Mint is funded by ads and donations.
 

Re: Can't get Lexmark Interact s605 printing on Linux Mint 1

Postby sagirfahmid3 on Wed Aug 29, 2012 5:24 pm

If lexmark doesn't provide a driver for that printer for Linux, you can't print on Linux. Scanning works a different way so it scans normally. I have a Canon Imageclass D880 and it doesn't print on Linux, BUT, I loaded up Virtualbox with XP and installed the drivers and now I CAN print something within Linux. Same with a Dell A920, I can't print on Linux, but I can scan. I CAN print with XP in Virtualbox.
User avatar
sagirfahmid3
Level 6
Level 6
 
Posts: 1054
Joined: Sun Sep 04, 2011 12:39 pm

Re: Can't get Lexmark Interact s605 printing on Linux Mint 1

Postby RafeDonson on Thu Aug 30, 2012 4:23 am

Lexmark's website directs me to a generic inkjet driver when i select that model, and I did have it print once, though it stopped printing shortly after.
RafeDonson
Level 1
Level 1
 
Posts: 2
Joined: Wed Aug 29, 2012 3:53 am

Re: Can't get Lexmark Interact s605 printing on Linux Mint 1

Postby sagirfahmid3 on Thu Aug 30, 2012 8:53 am

Do you have a good quality printer USB cable? One time I bought a USB cable from the 99cent store and it printed half-way and stopped; the rest of the pages came out blank. I had to buy a genuine Belkin USB printer cable for $13 and it worked perfectly afterwards.
User avatar
sagirfahmid3
Level 6
Level 6
 
Posts: 1054
Joined: Sun Sep 04, 2011 12:39 pm

Re: Can't get Lexmark Interact s605 printing on Linux Mint 1

Postby pdc_2 on Mon Sep 03, 2012 12:58 am

so I go here

http://support.lexmark.com/index?page=p ... cale=EN_US

and use the search box they provide and type in s605

and it shows me the 605 ................

...........and I click on the picture of the 605....... and it gives me this ...............

http://support.lexmark.com/index?segmen ... age=null#1

......and it asks me to select operating system.......................

.........and I say ..............linux ...............and then it asks which of the 695 distros that it knows of .........that I would like............

.........so I select Mint...........and it offers me .deb package variants............as Mint uses .deb packages.......

and they come in JRE (java runtime environment) flavours and without...............

.........and they also come in 32bit and 64bit flavours ................ (see screenshot)..............

so you need to download the package you need and follow the instructions in the previous post that is about another lexmark printer

......... are you 32bit?

paste this into a browser

http://localhost:631/printers/

please tell us what you get (better still, send a screenshot)
Attachments
lexmark_deb_packages.png
lexmark_deb_packages.png (42.99 KiB) Viewed 650 times
pdc_2
Level 6
Level 6
 
Posts: 1205
Joined: Mon May 11, 2009 1:21 am


Return to Printers & Scanners

Who is online

Users browsing this forum: No registered users and 5 guests